﻿using UnityEngine;
using System.Collections;
using RGBRepair;
using RgbRepair.Audio;
using RgbRepair.ColorProcessing;
using UnityEngine.UI;
using UnityEngine.SceneManagement;
using TMPro;

public class CameraCoba : MonoBehaviour {
	[SerializeField]
	private Button restartButton;
	//[SerializeField]
	//private AudioManager audioManager;
	[SerializeField]
	private TextMeshProUGUI confirmationText;

	public async void CameraButtonDown () {
		Texture2D texture = await CameraManager.TakePicture ();
		EColor mainColor = ColorProcessingManager.GetMainColorOfTexture (texture, 20, 0.5f);
		if (mainColor == EColor.Red) {
			FinishLevel ();
		} else {
			//audioManager.PlaySFX ("wrong");
			confirmationText.enabled = true;
			confirmationText.text = "Kurang merah!";
		}
	}

	private void FinishLevel () {
		restartButton.enabled = true;
		//audioManager.PlaySFX ("right");
		confirmationText.enabled = true;
		confirmationText.text = "Correct";
	}

	public void RestartLevel () {
		SceneManager.LoadScene (0);
	}
}
