﻿using Sirenix.OdinInspector;

namespace RgbRepair.ColorProcessing {
	public enum EColorPart {
		Red,
		Blue,
		Green
	}

	public enum EColorComparator {
		LessThan,
		MoreThan
	}

	public enum EColor {
		Red,
		Green,
		Blue,
		Yellow,
		Purple,
		White,
		Black,
		Undefined
	}

	[System.Serializable]
	public class ColorCriterion {
		[ShowInInspector]
		public EColorPart colorPart { get; set; }
		[ShowInInspector]
		public EColorComparator comparator { get; set; }
		[ShowInInspector]
		public float colorThreshold { get; set; }

		public ColorCriterion (EColorPart colorPart, EColorComparator comparator, float colorThreshold) {
			this.colorPart = colorPart;
			this.comparator = comparator;
			this.colorThreshold = colorThreshold;
		}
	}

	[System.Serializable]
	public class ColorCriteriaEntry {
		[ShowInInspector]
		public EColor colorName { get; set; }
		[ShowInInspector]
		public ColorCriterion[] criteria { get; set; }

		public ColorCriteriaEntry (EColor colorName, ColorCriterion[] criteria) {
			this.colorName = colorName;
			this.criteria = criteria;
		}
	}
}
