﻿using RgbRepair.Audio;
using System.Collections;
using System.Collections.Generic;
using System.Threading.Tasks;
using UnityEngine;

namespace RGBRepair
{
    public class Environment : Singleton<Environment>
    {
        [SerializeField]
        private Animator _animator;
		[SerializeField]
		private AudioManager audioManager;
        protected override bool dontDestroyOnLoad
        {
            get
            {
                return false;
            }
        }
    
        public async Task OpenDoor()
        {
            _animator.SetTrigger("open");
			audioManager.PlaySFX (ESfx.DoorOpen);
            await new WaitForEndOfFrame();
            var time = _animator.GetCurrentAnimatorStateInfo(0).length;
            await new WaitForSeconds(time);
        }
        public async Task CloseDoor()
        {
            _animator.SetTrigger("close");
			audioManager.PlaySFX (ESfx.DoorClose);
			await new WaitForEndOfFrame();
            var time = _animator.GetCurrentAnimatorStateInfo(0).length;
            await new WaitForSeconds(time);
        }
    }

}
