using UnityEngine;
using Sirenix.OdinInspector;
using Seven;
using System;
using UnityEngine.SceneManagement;

namespace RGBRepair
{
    [HideMonoScript]
    public class GameManager : Singleton<GameManager>, iGameManager
    {
        #region const
        const string grp = "Setting";
        #endregion

        #region Field
        [SerializeField,FoldoutGroup(grp)]
        private iLevelManager _levelManager;
        #endregion
        
        protected override bool dontDestroyOnLoad
        {
            get
            {
                return false;
            }
        }

        #region Private
        private bool _inited;
        #endregion

        #region iGameManager
        public iLevelManager levelManager => _levelManager;
        public event Action<bool> onReadyUseCamera;
        #endregion

        private void Start() 
        {
            Init();
        }

        public void Init()
        {
            if(_inited)
                return;

            levelManager.Init(this);
            levelManager.onCustomerComplete += OnCustomerComplete;

            var prefab = levelManager.GetRandomCustomer();
            if(!prefab.IsNull()) 
            {
                levelManager.Load(prefab);
            }
            
            _inited = true;
        }
        public void OnReadyUseCamera(bool value)
        {
            onReadyUseCamera?.Invoke(value);
        }

        #region Callback
       private async void OnCustomerComplete(iCustomer customer)
        {
            await new WaitForSeconds(1);

            var prefab = levelManager.GetRandomCustomer();
            if(prefab.IsNull())
            {
                SceneManager.LoadScene("Demo");
            }
              
            await levelManager.Load(prefab);
        } 
       #endregion
    }
}