﻿using UnityEngine;
using UnityEngine.UI;
using Sirenix.OdinInspector;
using System;
using TMPro;
using DG.Tweening;

namespace RGBRepair
{
    [HideMonoScript]
    public class UIMain : MonoBehaviour
    {
        #region Field
        [SerializeField]
        private Button _takeCameraButton;

        [SerializeField]
        private TextMeshProUGUI _textCoin;
        #endregion

        #region property
        private int coin{
            get{
                return _coin;
            }

            set{
                _coin = value;
                if(_textCoin) 
                {
                    _textCoin.text = value.ToString();
                }
            }
        }
        #endregion

        #region Private
        private int _coin;
        #endregion

        private void Start() 
        {
            Init();
        }

        private void Init()
        {
            _takeCameraButton.onClick.AddListener(TakeCamera);
            GameManager.instance.onReadyUseCamera += OnReadyUseCamera;
            GameManager.instance.levelManager.onItemComplete += OnItemComplete;
        }
        private void TakeCamera()
        {
            CameraManager.TakePicture ();
        }

        #region Callback
        private void OnReadyUseCamera(bool isReady)
        {
            _takeCameraButton.gameObject.SetActive(isReady);
        }
        private void OnItemComplete(iItem item)
        {
            var from = coin;
            var to = coin+item.coin;
            DOTween.To(()=>from,(x)=>{
                coin = x;
            },to,1);
        }
        #endregion
    }
}
