using System;
using System.Threading.Tasks;
using UnityEngine;
using System;

namespace RGBRepair
{
    public interface iItem 
    {
        iMaterial required{
            get;
        }

        int coin{
            get;
        }

        GameObject gameObject{
            get;
        }

        bool isComplete{get;}

        event Action<iItem> onComplete;
        event Action<iItem> onFailed;

        Task Play();
        Task Done();

		event Action onItemCorrect, onItemIncorrect, onHologram;

        void ShowHologram();
        void HideHologram();

    }
}