using UnityEngine;
using System;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace RGBRepair
{
    public interface iLevelManager 
    {
        List<iCustomer> customers{
            get;
        }
        iCustomer currentCustomer {
            get;
        }
        event Action<iCustomer> onCustomerComplete;
        event Action<iItem> onItemComplete;
        
        iCustomer GetCustomerPrefab(int index);


        Task Load(iCustomer customer);
        Task UnLoad(iCustomer customer);
        iCustomer GetRandomCustomer();
        void Init(iGameManager gameManager);
    }
}
