﻿using System.Collections;
using System.Collections.Generic;

namespace Seven
{
    public static class IListExtend
    {
        public static T Last<T>(this List<T> target) where T : class
        {
            if (target == null || target.Count == 0)
            {
                return null;
            }
            else
            {
                return target[target.Count - 1];
            }
        }
        public static T First<T>(this List<T> target) where T : class
        {
            if (target == null || target.Count == 0)
            {
                return null;
            }
            else
            {
                return target[0];
            }
        }
        public static string Join<T>(this IList<T> obj, string separator = ",")
        {
            if (obj.IsNullOrEmpty())
                return string.Empty;

            string result = string.Empty;

            for (int i = 0; i < obj.Count; i++)
            {
                result += string.Format("{0}{1}", obj[i], i < obj.Count - 1 ? separator : "");
            }

            return result;
        }
        public static string Join(this object[] obj, string separator = ",")
        {
            if (obj.IsNullOrEmpty())
                return string.Empty;

            string result = string.Empty;

            for (int i = 0; i < obj.Length; i++)
            {
                result += string.Format("{0}{1}", obj[i], i < obj.Length - 1 ? separator : "");
            }

            return result;
        }
        public static void Shuffle<T>(this IList<T> list)
        {
            for (int i = 0; i < list.Count; i++)
            {
                int k = UnityEngine.Random.Range(0, list.Count);
                T temp = list[k];
                list[k] = list[i];
                list[i] = temp;
            }
        } 
        public static T First<T>(this IList<T> list)
        {
            if(list.IsNullOrEmpty())
                return default(T);

            return list[0];
        }
        public static T Last<T>(this IList<T> list){
            if(list.IsNullOrEmpty())
                return default(T);

            return list[list.Count - 1];
        }
    }
}
