﻿using UnityEngine;
using Sirenix.OdinInspector;

namespace Seven.Utility
{
    [RequireComponent(typeof(Collider2D))]
    [AddComponentMenu("doolan/Utility/Bounds2DView")]
    [HideMonoScript]
    internal class Bounds2DView : MonoBehaviour
    {
        #region Field
        public Color color;
        #endregion

        #region Private
        [ColorPalette]
        private Collider2D collider_;
        #endregion

        void Reset()
        {
            color = Color.white;
        }

        void OnDrawGizmos()
        {
            if (collider_ == null)
            {
                collider_ = GetComponent<Collider2D>();
            }

            if (collider_ != null)
            {
                Gizmos.color = color;
                Vector3 center = collider_.bounds.center;
                Vector3 size = collider_.bounds.size;
                Gizmos.DrawWireCube(center, size);
            }
        }
    } 
}