﻿using UnityEngine;

namespace Seven.Utility
{
    [RequireComponent(typeof(Collider))]
    [AddComponentMenu("doolan/Utility/BoundsView")]
    internal class BoundsView : MonoBehaviour
    {
        #region Field
        public Color color;
        public Vector3 center;
        public Vector3 size;
        #endregion

        #region Private
        private Collider collider_;
        #endregion

        void Reset()
        {
            color = Color.white;
        }

        void OnDrawGizmos()
        {
            if (collider_ == null)
            {
                collider_ = GetComponent<Collider>();
            }

            if (collider_ != null)
            {
                Gizmos.color = color;
                center = collider_.bounds.center;
                size = collider_.bounds.size;
                Gizmos.DrawWireCube(center, size);
            }
        }
    } 
}