﻿using UnityEngine;
using Sirenix.OdinInspector;

namespace Seven.Utility
{
    [HideMonoScript,RequireComponent(typeof(Camera))]
    internal class CameraView : MonoBehaviour
    {
        #region const
        const string grpConfig = "Config";
        #endregion

        #region Field
        [SerializeField,FoldoutGroup(grpConfig)] private Color _color = Color.red;
        #endregion

        #region private
        private Camera _camera;
        #endregion

#if UNITY_EDITOR
        private void OnDrawGizmos()
        {
            if(_camera.IsNull())
                _camera = GetComponent<Camera>();

            if(_camera.IsNull())
                return;

            Gizmos.matrix = transform.localToWorldMatrix;

            if (_camera.orthographic)
            {
                Gizmos.color = _color;
                Vector3 size = _camera.OrthographicSize();
                size.z =  _camera.farClipPlane - _camera.nearClipPlane;

                var position = Vector3.forward * (size.z /2f);
                position.z += _camera.nearClipPlane;
            
                Gizmos.DrawWireCube(position,size);
            }else
            {
                Gizmos.color = _color;
                Gizmos.DrawFrustum(Vector3.zero, _camera.fieldOfView, _camera.farClipPlane, _camera.nearClipPlane, _camera.aspect);
            }
        }
#endif 
    } 
}