﻿using UnityEngine;
using Sirenix.OdinInspector; 

namespace Seven.Utility
{
    [HideMonoScript]
    [AddComponentMenu("doolan/Utility/FPSDisplay")]
    internal class FPSDisplay : MonoBehaviour
    {
        #region const
        const string grpConfig = "Config";
        #endregion

        #region Field
        [SerializeField,FoldoutGroup(grpConfig)] private Color _color = Color.red;
        [SerializeField,FoldoutGroup(grpConfig)] private int _size = 20;
        #endregion

        #region Private
        private float deltaTime = 0.0f;
        private GUIStyle style = new GUIStyle();
        private Rect rect;
        #endregion

        private void Start()
        {
            int w = Screen.width, h = Screen.height;
            rect = new Rect(0, 0, w, h * 2 / 100);

            style.alignment = TextAnchor.UpperLeft;
            style.fontSize = _size;
            style.normal.textColor = _color;
        }
        private void Update()
        {
            deltaTime += (UnityEngine.Time.unscaledDeltaTime - deltaTime) * 0.1f;
        }
        private void OnGUI()
        {
            float msec = deltaTime * 1000.0f;
            float fps = 1.0f / deltaTime;
            string text = string.Format("{0:0.0} ms ({1:0.} fps)", msec, fps);
            GUI.Label(rect, text, style);
        }

        void OnDrawGizmos() { }
    } 
}